
Figure - Bug #118662
IOVDEV-33330【内部】【VC1】【0106】【台架】【EE环境】【副屏】【launcher】中控出厂化还原，副屏开
机状态栏时间先显示8:10AM几秒后才同步中控时间
2023-06-08 16:22 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-08

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】：EE环境

【问题出现时间】：20230607 18:59，第215次开机

【前提条件】：副屏连接中控

【操作步骤】：中控出厂化还原

【实际结果】：副屏开机状态栏时间先显示8:10AM几秒后才同步中控时间

【期望结果】：副屏开机状态栏时间同步中控时间

【备注】：log ：https://ofs.human-horizons.com/#/download/index/YzlvlzKy4JA%3D

【硬件版本号】：/

【副屏版本号】：01.00.0106.C104

【中控版本号】：03.02.0088.C103.02_userdebug_2306021732

【VIN】HRYTTESTVINMGM403

History

#1 - 2023-06-08 19:40 - CD FW-程天颖

- Status changed from New to ASSIGNED

■ Current conclusion

已分析出耗时统计

■ My analysis

启动微服务

06-02 08:10:44.398  1474  1474 I SystemServerTiming: startMicroService

服务创建：

06-02 08:10:44.528  2607  2607 I MicroService: MicroService onCreate...

开始握手

06-02 08:10:44.554  2607  2737 D MicroService: send handshake message, currentTryAccount=1

launcher开始创建

06-02 08:10:46.434  2922  2922 D Launcher: onCreate start

网络未搭建完成，无法与中控通信

06-02 08:10:50.701  2607  2737 E MicroService: DTC_ETH: BaseMicroSocketClient:createClientSocket() 

握手成功

06-02 08:10:51.793  2607  4455 I MicroService: Client connect status changed. Status: 1

时间同步

06-02 08:10:53.835  2607  4531 I MicroService: onRequest(syncTime):

{"IDCM_Time_12_24":"24","IDCM_Timestamp":1686135581000,"IDCM_Timezone":"GMT+08:00"}
从日志中可分析出，微服务比launcher早2s启动，但是与中控申请握手，一直未成功，直到launcher启动5s后，网络搭建完成，开始与中控握手，握手成功

后，过了2s中控才与副屏进行时间同步

耗时统计如下：

等待网络搭建完成：5s

握手成功后等待中控同步时间：2s

■ Next action

1.网络搭建等待时间耗时最多，首先分析能否优化网络搭建速度

#2 - 2023-06-08 19:41 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD TPM-王祥林

Hi,祥林

   帮忙分析一下，网络搭建速度能否优化

#3 - 2023-06-10 17:53 - CD TPM-王祥林

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD TPM-王祥林 to CD TEST-方永红

- Resolution changed from -- to WONTFIX

此票在jira上跟踪，内部票关闭。

#4 - 2023-07-10 16:07 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

7.10

客户已关闭，同步关闭

#5 - 2023-07-10 16:07 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
